# Calculations

Using the example of the Stader-Kelp strategy, let us see how the calculation looks like:

* N: total number of users in a batch
* F: total fee in terms of ETH

$$
F = (\text{baseGasLimit} + N\*\text{marginalGasPerUser})\*\text{gasPrice}
$$

* E: total ETH staked into Stader

$$
E = (\text{ETH}*{\text{user 1}} + \text{ETH}*{\text{user 2}} + \text{ETH}\_{\text{user 3}} + .... )- F
$$

* R: total rsETH received for a batch from Kelp
* rsETH distribution per user:

$$
\text{rsETH}*{\text{user x}} = \frac{(\text{ETH}*{\text{user x}} - \frac{F}{N})}{E} \* R
$$


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakeease.com/aggregator/technical/stakeease-fusion/calculations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
